Package ru.bitel.bgbilling.server.util

# Class ActiveMQConnectionFactory

java.lang.Object
ru.bitel.bgbilling.server.util.ActiveMQConnectionFactory

All Implemented Interfaces:
  `javax.jms.ConnectionFactory`, `javax.jms.QueueConnectionFactory`, `javax.jms.TopicConnectionFactory`

    public class ActiveMQConnectionFactory
    extends java.lang.Object
    implements javax.jms.ConnectionFactory, javax.jms.QueueConnectionFactory, javax.jms.TopicConnectionFactory

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ActiveMQConnectionFactory​(java.lang.String userName, java.lang.String password, java.lang.String brokerURL)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `javax.jms.Connection` | `createConnection()` |
  `javax.jms.Connection` | `createConnection​(java.lang.String userName, java.lang.String password)` |
  `javax.jms.QueueConnection` | `createQueueConnection()` |
  `javax.jms.QueueConnection` | `createQueueConnection​(java.lang.String userName, java.lang.String password)` |
  `javax.jms.TopicConnection` | `createTopicConnection()` |
  `javax.jms.TopicConnection` | `createTopicConnection​(java.lang.String userName, java.lang.String password)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActiveMQConnectionFactory

    public ActiveMQConnectionFactory​(java.lang.String userName, java.lang.String password, java.lang.String brokerURL)

- ## Method Details

  - ### createQueueConnection

    public javax.jms.QueueConnection createQueueConnection() throws javax.jms.JMSException
    Specified by:
      `createQueueConnection` in interface `javax.jms.QueueConnectionFactory`
    Throws:
      `javax.jms.JMSException`

  - ### createQueueConnection

    public javax.jms.QueueConnection createQueueConnection​(java.lang.String userName, java.lang.String password) throws javax.jms.JMSException
    Specified by:
      `createQueueConnection` in interface `javax.jms.QueueConnectionFactory`
    Throws:
      `javax.jms.JMSException`

  - ### createTopicConnection

    public javax.jms.TopicConnection createTopicConnection() throws javax.jms.JMSException
    Specified by:
      `createTopicConnection` in interface `javax.jms.TopicConnectionFactory`
    Throws:
      `javax.jms.JMSException`

  - ### createTopicConnection

    public javax.jms.TopicConnection createTopicConnection​(java.lang.String userName, java.lang.String password) throws javax.jms.JMSException
    Specified by:
      `createTopicConnection` in interface `javax.jms.TopicConnectionFactory`
    Throws:
      `javax.jms.JMSException`

  - ### createConnection

    public javax.jms.Connection createConnection() throws javax.jms.JMSException
    Specified by:
      `createConnection` in interface `javax.jms.ConnectionFactory`
    Throws:
      `javax.jms.JMSException`

  - ### createConnection

    public javax.jms.Connection createConnection​(java.lang.String userName, java.lang.String password) throws javax.jms.JMSException
    Specified by:
      `createConnection` in interface `javax.jms.ConnectionFactory`
    Throws:
      `javax.jms.JMSException`